bl_info = {
    "name": "Muscle tools",
    "description": "Muscle tools",
    "author": "Andrey Mramornov",
    "version": (1, 0),
    "blender": (2, 64, 0),
    "location": "Space menu, Panels",
    "tracker_url": "",
    "category": "Muscles"
}

if "bpy" in locals():
    import imp
    if "retarget" in locals():
        imp.reload(ui)
    if "panel" in locals():
        imp.reload(operators)
import bpy
from bpy.types import Armature
from bpy.props import EnumProperty
from muscles.retarget import *
from muscles.save import *
from muscles.panel import *
from muscles.visemes import *
from muscles.load_keyframes import *

def register():
    bpy.utils.register_module(__name__)
    bpy.types.Object.muscle_animation_jaw = StringProperty() #(items=bone_items)
    bpy.types.Object.muscle_animations = CollectionProperty(type=MuscleAnimation)
    bpy.types.Object.muscle_animation_index = IntProperty()
    bpy.types.Object.muscle_animation_factor = FloatProperty()


def unregister():
    bpy.utils.unregister_module(__name__)
    del bpy.types.Object.muscle_animations
    del bpy.types.Object.muscle_animation_index
    
if __name__ == "__main__":
    register()